datacache <- new.env(hash=TRUE, parent=emptyenv())

hgu95d <- function() showQCData("hgu95d", datacache)
hgu95d_dbconn <- function() dbconn(datacache)
hgu95d_dbfile <- function() dbfile(datacache)
hgu95d_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
hgu95d_dbInfo <- function() dbInfo(datacache)

hgu95dORGANISM <- "Homo sapiens"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "hgu95d.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.SchemaChoice("HUMANCHIP_DB", "hgu95d", "chip hgu95d", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(hgu95d_dbconn())
}

